/*
 * openmp.h
 *
 *  Project Name: ratbox-monitor
 *    Created on: Dec 1, 2010
 *        Author: Daniel J Reidy <dubkat@ratbox.org>
 *            Id: $Id: openmp.h 24 2012-03-27 20:19:34Z dubkat $
 */

#ifndef _OPENMP
#define _OPENMP

#ifdef HAVE_OPENMP
#	include <omp.h>
#	define OMP_CHUNKSIZE 1
#else
#	define omp_get_thread_num() 0
#	define omp_get_num_threads() 1
#endif

#endif
