/*
 * dnsbl.h
 *
 *  Created on: Aug 21, 2011
 *      Author: dubkat
 *
 * $Id: dnsbl.h 24 2012-03-27 20:19:34Z dubkat $
 *
 */

#ifndef DNSBL_H_
#define DNSBL_H_

#include <stdio.h>
#include <stdlib.h>

#include "setup.h"
#include "common.h"
#include "ares.h"

void check_dnsbl(struct conn *, struct my_clients *);
static void dns_loop(ares_channel);
static void dns_callback(void *, int, int, struct hostent *);
int get_bantype(const char *);

int dnsbl_ban_client(struct conn *serv, struct my_clients *cli, int type, int time,
		     const char *msg);




#endif /* DNSBL_H_ */
